#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%global		platform	linux-clang
%define		sname		%(echo %{name} | cut -d '-' -f2)
#-----------------------------------------------------------------------------
Name		:	qt6-qtpositioning
Version		:	6.8.0
Release		:	17.2.0.rel%{?dist}
Summary		:	Qt6 - Positioning component

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL-3.0
URL		:	https://download.qt.io/archive/qt/(vers/rel)/submodules

Source0		:	%{sname}-everywhere-src-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	cmake
#BuildRequires	:	GConf
BuildRequires	:	gcc-c++
BuildRequires	:	ninja
BuildRequires	:	qt6-qtbase-devel	= %{version}
BuildRequires	:	qt6-qtbase-gui		= %{version}
BuildRequires	:	qt6-qtdeclarative-devel	= %{version}
BuildRequires	:	qt6-qttools-devel	= %{version}
BuildRequires	:	qt6-rpm-macros
BuildRequires	:	Vulkan-Loader-devel

#-----------------------------------------------------------------------------
%description
The Qt Positioning APIs gives developers the ability to
determine a position by using a variety of possible
sources, including satellite, or wifi, or text file, and so on.


#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%license LICENSES/GPL* LICENSES/LGPL*
%{_qt6_libdir}/libQt6Positioning.so.6*
%{_qt6_libdir}/libQt6PositioningQuick.so.6*
%{_qt6_plugindir}/position/libqtposition_*.so
%{_qt6_archdatadir}/qml/QtPositioning/*

#=============================================================================
%package		devel
Summary		:	Development files for %{name}

#-----------------------------------------------------------------------------
Requires	:	%{name}			= %{version}
Requires	:	qt6-qtbase-devel	= %{version}
Requires	: 	qt6-rpm-macros

#-----------------------------------------------------------------------------
%description		devel
The %{name}-devel package contains libraries and
header files for developing applications that
use %{name}.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_qt6_headerdir}/QtPositioning/Q*
%{_qt6_headerdir}/QtPositioning/q*.h
%{_qt6_headerdir}/QtPositioningQuick/q*.h
%{_qt6_headerdir}/QtPositioning/%{version}/QtPositioning/private/*.h
%{_qt6_headerdir}/QtPositioningQuick/%{version}/QtPositioningQuick/private/*.h
%{_qt6_headerdir}/QtPositioningQuick/QtPositioningQuick*
%{_qt6_libdir}/libQt6Positioning.so
%{_qt6_libdir}/libQt6Positioning.prl
%{_qt6_libdir}/libQt6PositioningQuick.so
%{_qt6_libdir}/libQt6PositioningQuick.prl
%{_qt6_libdir}/cmake/Qt6/*.cmake
%{_qt6_libdir}/cmake/Qt6BuildInternals/StandaloneTests/QtPositioning*.cmake
%{_qt6_libdir}/cmake/Qt6Bundled_Clip2Tri/Qt6Bundled_Clip2TriDependencies.cmake
%{_qt6_libdir}/cmake/Qt6Positioning/*.cmake
%{_qt6_libdir}/cmake/Qt6PositioningQuick/*.cmake
%{_qt6_libdir}/cmake/Qt6Qml/QmlPlugins/*.cmake
%{_qt6_libdir}/qt6/metatypes/qt6*_metatypes.json
%{_qt6_libdir}/qt6/modules/*.json
%{_qt6_libdir}/pkgconfig/*.pc
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_positioning*.pri

#=============================================================================
%package		examples
Summary		:	Programming examples for %{name}

#-----------------------------------------------------------------------------
Requires	:	%{name}			= %{version}

#-----------------------------------------------------------------------------
%description		examples
Programming examples for %{name}

#-----------------------------------------------------------------------------
%files			examples
%defattr(-,root,root,-)
%{_qt6_examplesdir}/

#=============================================================================
%prep
%setup -q -n %{sname}-everywhere-src-%{version}

#-----------------------------------------------------------------------------
#building application
%build

cmake							\
	-B _bld						\
	-G Ninja					\
	-S .						\
	-D CMAKE_BUILD_TYPE=Release			\
	-D CMAKE_INSTALL_PREFIX=%{_qt6_prefix}		\
	-D CMAKE_INSTALL_LIBDIR=%{_qt6_libdir}		\
	-D CMAKE_MESSAGE_LOG_LEVEL=STATUS		\
	-D INSTALL_ARCHDATADIR=%{_qt6_archdatadir}	\
	-D INSTALL_BINDIR=%{_qt6_bindir}		\
	-D INSTALL_DATADIR=%{_qt6_datadir}		\
	-D INSTALL_DOCDIR=%{_qt6_docdir}		\
	-D INSTALL_LIBDIR=%{_qt6_libdir}		\
	-D INSTALL_LIBEXECDIR=%{_qt6_libexecdir}	\
	-D INSTALL_EXAMPLESDIR=%{_qt6_examplesdir}	\
	-D INSTALL_INCLUDEDIR=%{_qt6_headerdir}		\
	-D INSTALL_MKSPECSDIR=%{_qt6_mkspecsdir}	\
	-D INSTALL_PLUGINSDIR=%{_qt6_plugindir}		\
	-D INSTALL_QMLDIR=%{_qt6_qmldir} 		\
	-D INSTALL_TRANSLATIONSDIR=%{_qt6_translationdir}\
	-D CMAKE_CURRENT_SOURCE_DIR=%{_qt6_datadir}	\
	-D CMAKE_MESSAGE_LOG_LEVEL=STATUS		\
	-D INSTALL_EXAMPLESDIR=%{_qt6_examplesdir}	\
	-D QT_BUILD_EXAMPLES_BY_DEFAULT=ON		\
	-D QT_INSTALL_EXAMPLES_SOURCES=ON		\

cmake							\
	--build						\
	_bld						\
	--parallel %(/usr/bin/getconf _NPROCESSORS_ONLN)\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}					\
	cmake						\
	--install					\
	_bld

#-----------------------------------------------------------------------------
%changelog
